%define	upstream_name	 Crypt-OpenSSL-RSA
%define upstream_version 0.33

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    %{upstream_name} module for perl
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Crypt/%{upstream_name}-%{upstream_version}.tar.gz
# (tv) ensure magpie won't remove the BR on Crypt-OpenSSL-RSA:
Patch0:     fix-BR-Crypt-OpenSSL-RSA.patch

Requires:   openssl
BuildRequires: perl(Crypt::OpenSSL::Guess) >= 0.110.0
BuildRequires: perl(Crypt::OpenSSL::Random)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::More)
BuildRequires: perl-devel
BuildRequires: pkgconfig(openssl)
%description
%{upstream_name} module for perl

%prep
%autosetup -n %{upstream_name}-%{upstream_version} -p1

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build CFLAGS="%{optflags}"

%check
%{__make} test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{perl_vendorarch}/auto/Crypt
%{perl_vendorarch}/Crypt
%{_mandir}/man*/*


%changelog
* Fri Aug 23 2024 tv <tv> 0.330.0-4.mga10
+ Revision: 2088983
- Rebuild for perl-5.40

* Thu Nov 30 2023 tv <tv> 0.330.0-3.mga10
+ Revision: 2011558
- Rebuild for perl-5.38

* Mon Jul 11 2022 tv <tv> 0.330.0-1.mga9
+ Revision: 1868434
- update to 0.33

* Tue Jun 07 2022 umeabot <umeabot> 0.320.0-5.mga9
+ Revision: 1861672
- Rebuild for Perl 5.36

* Thu Mar 17 2022 neoclust <neoclust> 0.320.0-4.mga9
+ Revision: 1797334
- Add Upstream pullrequest to help building
- Rebuild against newer openssl
+ umeabot <umeabot>
- Mageia 9 Mass Rebuild
+ wally <wally>
- rebuild for openssl 3.0.0

* Fri Sep 10 2021 tv <tv> 0.320.0-1.mga9
+ Revision: 1745027
- Restore BR on Crypt::OpenSSL::Guess and prevent magpie from removing it again
- update to 0.32

* Mon May 24 2021 umeabot <umeabot> 0.310.0-5.mga9
+ Revision: 1726484
- Rebuild for perl 5.34

* Wed Jun 17 2020 umeabot <umeabot> 0.310.0-4.mga8
+ Revision: 1594379
- Rebuild for perl 5.32

* Sat Feb 15 2020 umeabot <umeabot> 0.310.0-3.mga8
+ Revision: 1529003
- Mageia 8 Mass Rebuild

* Mon Aug 26 2019 tv <tv> 0.310.0-2.mga8
+ Revision: 1432883
- rebuild with perl-5.30

* Thu Sep 27 2018 tv <tv> 0.310.0-1.mga7
+ Revision: 1308111
- BR Crypt::OpenSSL::Guess
- update to 0.31

* Fri Sep 21 2018 umeabot <umeabot> 0.300.0-3.mga7
+ Revision: 1292561
- Mageia 7 Mass Rebuild

* Mon Aug 06 2018 shlomif <shlomif> 0.300.0-2.mga7
+ Revision: 1248147
- Rebuild for new perl 5.28.0

* Wed May 02 2018 tv <tv> 0.300.0-1.mga7
+ Revision: 1224739
- update to 0.30

* Mon Oct 02 2017 tv <tv> 0.280.0-15.mga7
+ Revision: 1163672
- rebuild with fixed rpm for missing autodeps

* Mon Sep 04 2017 guillomovitch <guillomovitch> 0.280.0-14.mga7
+ Revision: 1151125
- fix build with openssl 1.1

* Sat Jul 22 2017 neoclust <neoclust> 0.280.0-13.mga7
+ Revision: 1126830
- Rebuild against new Perl 5.26

* Sat Jun 18 2016 pterjan <pterjan> 0.280.0-12.mga6
+ Revision: 1024538
- Rebuild for perl 5.22.2

* Fri Feb 12 2016 umeabot <umeabot> 0.280.0-11.mga6
+ Revision: 956977
- Mageia 6 Mass Rebuild

* Fri Jun 26 2015 tv <tv> 0.280.0-10.mga6
+ Revision: 844758
- rebuild for soname-ifed perl

* Tue Jun 23 2015 shlomif <shlomif> 0.280.0-9.mga6
+ Revision: 840936
- Rebuild for the new perl

* Wed Oct 15 2014 umeabot <umeabot> 0.280.0-8.mga5
+ Revision: 744731
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.280.0-7.mga5
+ Revision: 684048
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 jquelin <jquelin> 0.280.0-6.mga5
+ Revision: 632196
- perl 5.20.0 rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.280.0-5.mga4
+ Revision: 524581
- Mageia 4 Mass Rebuild

* Wed May 29 2013 jquelin <jquelin> 0.280.0-4.mga4
+ Revision: 431177
- perl 5.18.0 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.280.0-3.mga3
+ Revision: 364901
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 jquelin <jquelin> 0.280.0-2.mga3
+ Revision: 250400
- rebuild for perl 5.16
- update to 0.28

* Fri Jul 08 2011 jquelin <jquelin> 0.270.0-1.mga2
+ Revision: 120624
- update to 0.27

* Sun Jun 12 2011 sander85 <sander85> 0.260.0-8.mga2
+ Revision: 105215
- fix autoloader
- perl 5.14

* Sat Jan 22 2011 jquelin <jquelin> 0.260.0-7.mga1
+ Revision: 31841
- mageia rebuild
- imported package perl-Crypt-OpenSSL-RSA

